
GammaLib - Action #1114

Implement 3D access for GCTAResponseTable

01/28/2014 05:25 PM - Mayer Michael

Status: Closed Start date: 01/28/2014

Priority: Normal Due date:  

Assigned To: Gerard Lucie % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-09-00   

Description

GCTAResponseTable currently only allows to access and interpolate in at most 2 dimensions. Related to issue #1096, we should be

able to access e.g. the background as function of X,Y and Energy.

History

#1 - 01/31/2014 03:06 PM - Gerard Lucie

- Status changed from New to Pull request

- Assigned To set to Gerard Lucie

- % Done changed from 0 to 100

currently available in branch 1096-CTABack_from_inst_coord

test unit for this is needed

#2 - 02/12/2014 06:09 PM - Knödlseder Jürgen

- Status changed from Pull request to Feedback

- Target version set to 2nd coding sprint

Looks like this is already merged into devel. Please let me know if something is missing.

#3 - 02/12/2014 06:21 PM - Gerard Lucie

the only thing that is missing here are test units

#4 - 02/12/2014 07:58 PM - Knödlseder Jürgen

Have they already been implemented (i.e. have I missed them in the merge), or is this work to be done?

#5 - 02/13/2014 09:19 AM - Gerard Lucie

they have been implemented

#6 - 02/13/2014 09:29 AM - Knödlseder Jürgen

Already pushed into git?

When I merge in the branch I get

$ git merge origin/1096-CTABack_from_inst_coord

Already up-to-date.

and when I look into the CTA test suite I cannot find unit tests for the CTA response table.

So please check whether you have code on your side that is not yet in the devel branch. If not we can consider the issue as closed.
#7 - 02/13/2014 09:30 AM - Gerard Lucie

no I meant the interpolation is ready. The test units have to be written. They are not ready.

#8 - 02/13/2014 09:30 AM - Knödlseder Jürgen

Gerard Lucie wrote:

no I meant the interpolation is ready. The test units have to be written. They are not ready.

 

Got it wink.png 

#9 - 07/19/2014 02:12 AM - Knödlseder Jürgen

- Status changed from Feedback to Resolved

- Target version changed from 2nd coding sprint to 00-09-00

#10 - 07/20/2014 11:24 PM - Knödlseder Jürgen

- Status changed from Resolved to Closed

- Remaining (hours) set to 0.0
